#ifndef BRANCHES_INCLUDED
#define BRANCHES_INCLUDED

#include <GLES2/gl2.h>

#include "vector.h"
#include "array.h"

// initialization and clean-up.
void Branches_initialize(GLuint t);
void Branches_deinitialize(void);
void Branches_clear(void);

// access functions.
int Branches_add(float n[3], float tc[2], float v[3]);
void Branches_addIndex(unsigned int);
void Branches_generateStump(int *lower);
void Branches_buildCylinder(
        int *idx, float4x4 mat, float taper, float texcoord_y, GLboolean low);

void Branches_draw(int use_VBO);
void Branches_buildVBO(void);

int Branches_polyCount(void);
int Branches_branchCount(void);
int Branches_sizeVBO(void);
int Branches_numVertices(void);


// number of faces a branch cylinder is represented by.
#define BRANCHES_FACETS 5


#endif // BRANCHES_INCLUDED
