#ifndef FIREFLY_INCLUDED
#define FIREFLY_INCLUDED

#include "vector.h"

// arrays holding firefly data
extern float *fPos;
extern float *fVel;
extern float *fColor;
extern float *fHsva;

// struct has pointers to above arrays
// keeps transformation code simpler
// (avoids allocating temp arrays)
typedef struct {

  float *pos;
  float *vel;
  float *c;

  float range;
  float *hsva;

} Firefly;


// initialization and clean-up.
void Firefly_global_init(int num);
void Firefly_init(Firefly *o, int num);
void Firefly_destroy(Firefly *o);
void Firefly_global_destroy(void);

// access functions.
void Firefly_move(Firefly *o);
void Firefly_draw(Firefly *o);


#endif // FIREFLY_INCLUDED
