#ifndef LEAVES_INCLUDED
#define LEAVES_INCLUDED

#include <GLES2/gl2.h>

#include "vector.h"
#include "array.h"


// initialization and clean-up.
void Leaves_initialize(GLuint front, GLuint back, float radius);
void Leaves_deinitialize(void);
void Leaves_clear(void);

void Leaves_setRadius(float r);


// access functions.
void Leaves_add(float4x4 m);
void Leaves_buildVBO(void);
void Leaves_draw(int use_VBO);

int Leaves_polyCount(void);
int Leaves_leafCount(void);
int Leaves_sizeVBO(void);


#endif // LEAVES_INCLUDED
