#ifndef SCREEN_INCLUDED
#define SCREEN_INCLUDED

#include <GLES2/gl2.h>

#include "vector.h"
#include "array.h"

#include "slider.h"
#include "picture.h"

#include "tree.h"
#include "sky.h"
#include "ground.h"
#include "firefly.h"

void Screen_initialize(float d, GLsizei w, GLsizei h, GLboolean fpsFlag);
void Screen_resize(GLsizei w, GLsizei h);
void Screen_deinitialize(void);

void Screen_setDemoParams(void);
void Screen_setSmallTex(void);
void Screen_setNoSky(void);
void Screen_setNoMenu(void);

void Screen_draw(void);
void Screen_callback(int key, int x, int y);

GLboolean Screen_isFinished(void);

// Set the size of ground mesh.
#define GROUND_SIZE 10.0f

#endif // SCREEN_INCLUDED
