#ifndef TREE_INCLUDED
#define TREE_INCLUDED

#include <GLES2/gl2.h>

#include "leaves.h"
#include "branches.h"
#include "ground.h"


void Tree_initialize(GLuint bark, GLuint leaf, GLuint leafb);
void Tree_deinitialize(void);

void Tree_draw(void);
void Tree_build(void);

void Tree_newCharacter(void);

void Tree_setParam(int param, float val);

void Tree_toggleVBO(void);


// the parameters used to control the characteristics of the tree generated.
typedef enum {
    TREE_PARAM_DEPTH,
    TREE_PARAM_BALANCE,
    TREE_PARAM_TWIST,
    TREE_PARAM_SPREAD,
    TREE_PARAM_LEAF_SIZE,
    TREE_PARAM_BRANCH_SIZE,
    TREE_PARAM_FULLNESS,
    NUM_TREE_PARAMS,
} enumTreeParams;
extern float tree_params[NUM_TREE_PARAMS];
extern float tree_params_min[NUM_TREE_PARAMS];
extern float tree_params_max[NUM_TREE_PARAMS];


#endif // TREE_INCLUDED
